Print Friendly

# Class Ext.Toolbar.TextItem

Package: | Ext
Class: | Toolbar.TextItem
Extends: | Toolbar.Item
Defined In: | Toolbar.js

A simple class that renders text directly into a toolbar.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| Toolbar.TextItem(`String text`) | Toolbar.TextItem
Creates a new TextItem
| destroy() : void | Toolbar.Item
Remove and destroy this button
| disable() : void | Toolbar.Item
Disable this item
| enable() : void | Toolbar.Item
Enable this item
| focus() : void | Toolbar.Item
Try to focus this item
| getEl() : HTMLElement | Toolbar.Item
Get this item's HTML Element
| hide() : void | Toolbar.Item
Hide this item
| setVisible(`Boolean visible`) : void | Toolbar.Item
Convenience function for boolean show/hide
| show() : void | Toolbar.Item
Show this item

## Public Events

This class has no public events.

## Constructor Details

### Toolbar.TextItem

`public function Toolbar.TextItem(`String text`)`
Creates a new TextItem
Parameters:

- `text` : String

## Method Details

### destroy

`public function destroy()`
Remove and destroy this button
Parameters:

- None.

Returns:

- `void`

This method is defined by Toolbar.Item.

### disable

`public function disable()`
Disable this item
Parameters:

- None.

Returns:

- `void`

This method is defined by Toolbar.Item.

### enable

`public function enable()`
Enable this item
Parameters:

- None.

Returns:

- `void`

This method is defined by Toolbar.Item.

### focus

`public function focus()`
Try to focus this item
Parameters:

- None.

Returns:

- `void`

This method is defined by Toolbar.Item.

### getEl

`public function getEl()`
Get this item's HTML Element
Parameters:

- None.

Returns:

- `HTMLElement`

This method is defined by Toolbar.Item.

### hide

`public function hide()`
Hide this item
Parameters:

- None.

Returns:

- `void`

This method is defined by Toolbar.Item.

### setVisible

`public function setVisible(`Boolean visible`)`
Convenience function for boolean show/hide
Parameters:

- `visible` : Boolean
  true to show/false to hide

Returns:

- `void`

This method is defined by Toolbar.Item.

### show

`public function show()`
Show this item
Parameters:

- None.

Returns:

- `void`

This method is defined by Toolbar.Item.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.